package com.tykj.dev.device.user.subject.service;


import com.tykj.dev.device.user.base.ret.AreaInstitutions;
import com.tykj.dev.device.user.base.ret.AreaPage;
import com.tykj.dev.device.user.base.ret.AreaVo;
import com.tykj.dev.device.user.subject.entity.Area;

import java.util.List;

/**
 * @author zjm
 * @version 1.0.0
 * @ClassName PublicService.java
 * @Description 区域逻辑层
 * @createTime 2020年07月27日 14:52:00
 */
public interface AreaService extends PublicService<Area> {

    List<AreaInstitutions> findAllUserUnitsIdAreaList(Integer areaId);

    /**
     * 根据id查询所有下级区域对象
     * @param areaId 区域id
     * @return
     */
    List<AreaVo> findAll(Integer areaId);

    List<Area> findOneAndTwoArea();

    AreaPage selectPage(Integer page,Integer size);

    Area findByid(Integer areaId);

    List<Integer> findIdQuerySubordinateIds(Integer areaId);

}
